# MySQL-Front Dump 1.16 beta
#
# Host: localhost Database: planeshift
#--------------------------------------------------------
# Server version 3.23.52-max-nt
#
# Table structure for table 'trade_transformations'
#

CREATE TABLE trade_transformations (
  id int(10) unsigned NOT NULL auto_increment,
  pattern_id int(10) unsigned NOT NULL,                         # pattern for transformation
  result_id int(10) unsigned NOT NULL,                       # resulting item
  result_qty int(8) unsigned NOT NULL ,                         # resulting item quantity
  item_id int(10) unsigned NOT NULL,                         # item to be transformed
  item_qty int(8) unsigned NOT NULL ,                           # required quantity for transformation
  item_quality float(10,6) NOT NULL DEFAULT '1.000000' ,        # result item quality factor
  trans_points int(8) unsigned NOT NULL DEFAULT '0' ,           # ammount of time to complete transformation
  animation varchar(30) ,                                       # transformation animation
  render_effect CHAR(32) default NULL,                          # transformation render effect
  workitem_id int(10) unsigned NOT NULL,                     # target item to complete transformation
  equipment_id int(10) unsigned  ,                           # required equipted item
  constraints varchar(64) NOT NULL DEFAULT '',                  # constraints that apply to transformation
  garbage_id int(10) unsigned ,                              # garbage item for flubbed transformations
  garbage_qty int(8) unsigned ,                                 # garbage quantity for flubbed transformations
  primary_skill_id int(10) ,                                    # primary skill for transformation
  primary_min_skill int(8) unsigned ,                           # minimum primary skill level required to perform transformation, 0 is no minimum
  primary_max_skill int(8) unsigned ,                           # maximum primary skill level at which practice and quality are effected, 0 is no maximum
  primary_practice_points int(4) ,                              # number of practice primary skill points gained for performing transformation
  primary_quality_factor int(3) unsigned DEFAULT '0' ,          # percentage of the primary skill range that applies to quality
  secondary_skill_id int(10) unsigned ,                         # secondary skill foriegn key
  secondary_min_skill int(8) unsigned ,                         # minimum secondary skill level required to perform transformation, 0 is no minimum
  secondary_max_skill int(8) unsigned ,                         # maximum secondary skill level at which practice and quality are effected, 0 is no maximum
  secondary_practice_points int(4) ,                            # number of practice secondary skill points gained for performing transformation
  secondary_quality_factor int(3) unsigned ,                    # percentage of the secondary skill range that applies to quality
  description varchar(255) NOT NULL DEFAULT '' ,
  PRIMARY KEY (id)
);


#
# Dumping data for table 'trade_transformations'
#

INSERT INTO trade_transformations VALUES(1,1,69,1,76,1,0.400000,10,"greet","",70,65,'',75,1,39,0,10,4,15,38,0,20,2,30,'You mix waybread slop into batter in mixing bowl.');
INSERT INTO trade_transformations VALUES(2,1,66,1,77,1,0.600000,10,"greet","",70,65,"TIME(13:00:00)",75,1,39,0,10,4,15,38,0,20,2,30,'You mix waybread nutty slop into nutty batter in mixing bowl.');
INSERT INTO trade_transformations VALUES(3,1,67,1,78,1,0.600000,10,"greet","",70,65,'',75,1,39,0,10,4,15,38,0,20,2,30,'You mix waybread sweet slop into sweet batter in mixing bowl.');
INSERT INTO trade_transformations VALUES(4,1,68,1,79,1,0.800000,10,"greet","",70,65,'',75,1,39,0,10,4,15,38,0,20,2,30,'You mix waybread superb slop into superb batter in mixing bowl.');
INSERT INTO trade_transformations VALUES(5,1,69,1,76,1,0.400000,10,"greet","",70,90,'',75,1,39,500,600,4,15,38,0,20,2,30,'You mix waybread slop into batter in mixing bowl with mixer.');
INSERT INTO trade_transformations VALUES(6,1,80,1,69,1,0.400000,20,"greet","",74,0,'',75,1,39,0,20,6,15,38,0,40,3,50,'You bake waybread batter into waybread in oven.');
INSERT INTO trade_transformations VALUES(7,1,81,1,66,1,0.600000,20,"greet","",74,0,'',75,1,39,0,20,6,15,38,0,40,3,50,'You bake nutty waybread batter into nutty waybread in oven.');
INSERT INTO trade_transformations VALUES(8,1,82,1,67,1,0.600000,20,"greet","",74,0,'',75,1,39,0,20,6,15,38,0,40,3,50,'You bake sweet waybread batter into sweet waybread in oven.');
INSERT INTO trade_transformations VALUES(9,1,83,1,68,1,0.800000,20,"greet","",74,0,'',75,1,39,0,20,6,15,38,0,40,3,50,'You bake superb waybread batter into superb waybread in oven.');
INSERT INTO trade_transformations VALUES(10,1,72,1,80,1,0.100000,40,"greet","",74,0,'',75,1,39,0,0,2,15,0,0,0,0,0,'You bake waybread into burnt waybread in oven.');
INSERT INTO trade_transformations VALUES(11,1,72,1,81,1,0.100000,40,"greet","",74,0,'',75,1,39,0,0,2,15,0,0,0,0,0,'You bake nutty waybread into burnt waybread in oven.');
INSERT INTO trade_transformations VALUES(12,1,72,1,82,1,0.100000,40,"greet","",74,0,'',75,1,39,0,0,2,15,0,0,0,0,0,'You bake sweet waybread into burnt waybread in oven.');
INSERT INTO trade_transformations VALUES(13,1,72,1,83,1,0.100000,40,"greet","",74,0,'',75,1,39,0,0,2,15,0,0,0,0,0,'You bake superb waybread into burnt waybread in oven.');
INSERT INTO trade_transformations VALUES(14,1,73,1,72,1,0.010000,40,"greet","",74,0,'',75,1,0,0,0,0,0,0,0,0,0,0,'You bake burnt waybread into dust in oven.');
INSERT INTO trade_transformations VALUES(15,1,0,0,73,1,1.000000,60,"greet","",74,0,'',75,1,0,0,0,0,0,0,0,0,0,0,'You bake dust until it disappears in oven.');
INSERT INTO trade_transformations VALUES(16,1,81,1,77,1,0.900000,20,"greet","",0,0,'',75,1,0,0,0,0,0,0,0,0,0,0,'You put nutts into waybread to make nutty waybread in hand.');
INSERT INTO trade_transformations VALUES(17,0,104,0,103,0,1.000000,20,"greet","",74,0,'',0,0,0,0,0,0,0,0,0,0,0,0,'You bake coal into coke.');
INSERT INTO trade_transformations VALUES(18,0,104,0,103,0,1.000000,20,"greet","",74,0,'',0,0,0,0,0,0,0,0,0,0,0,0,'You bake coal into coke.');
INSERT INTO trade_transformations VALUES(19,0,106,0,104,0,1.000000,20,"greet","",105,0,'',0,0,0,0,0,0,0,0,0,0,0,0,'You blast coke into hot coke.');
INSERT INTO trade_transformations VALUES(20,0,107,0,102,0,1.000000,20,"greet","",105,106,'',0,0,0,0,0,0,0,0,0,0,0,0,'You blast iron ore into pig iron.');
INSERT INTO trade_transformations VALUES(21,0,110,1,107,1,1.000000,20,"greet","",108,109,'',0,0,0,0,0,0,0,0,0,0,0,0,'You hammer pig iron into a wrought iron ingot.');
INSERT INTO trade_transformations VALUES(22,0,111,1,110,2,1.000000,20,"greet","",108,109,'',0,0,0,0,0,0,0,0,0,0,0,0,'You hammer two wrought iron ingots into a short iron bar.');
INSERT INTO trade_transformations VALUES(23,0,112,1,111,2,1.000000,20,"greet","",108,109,'',0,0,0,0,0,0,0,0,0,0,0,0,'You hammer two short iron bars into an iron bar.');
INSERT INTO trade_transformations VALUES(24,0,113,1,112,2,1.000000,20,"greet","",108,109,'',0,0,0,0,0,0,0,0,0,0,0,0,'You hammer two iron bars into a long iron bar.');
INSERT INTO trade_transformations VALUES(25,0,118,1,115,1,1.000000,20,"greet","",117,0,'',0,0,0,0,0,0,0,0,0,0,0,0,'You work the clay into a mold.');
INSERT INTO trade_transformations VALUES(26,0,119,1,116,1,1.000000,20,"greet","",117,118,'',0,0,0,0,0,0,0,0,0,0,0,0,'You sand the mold for casting.');
INSERT INTO trade_transformations VALUES(27,2,121,1,107,1,1.000000,20,"greet","",105,119,'',0,0,0,0,0,0,0,0,0,0,0,0,'You cast a fishing reel.');
INSERT INTO trade_transformations VALUES(28,0,123,1,113,2,1.000000,20,"greet","",108,109,'',0,0,0,0,0,0,0,0,0,0,0,0,'You hammer two long iron bars into an iron pole.');
INSERT INTO trade_transformations VALUES(29,0,122,1,123,1,1.000000,20,"greet","",108,121,'',0,0,0,0,0,0,0,0,0,0,0,0,'You hammer the fishing reel to the iron pole to make a fishing rod.');
INSERT INTO trade_transformations VALUES(30,3,124,1,107,1,1.000000,20,"greet","",105,119,'',0,0,0,0,0,0,0,0,0,0,0,0,'You cast a hammer head.');
INSERT INTO trade_transformations VALUES(31,0,109,1,124,1,1.000000,20,"greet","",108,126,'',0,0,0,0,0,0,0,0,0,0,0,0,'You bash the wood shaft into the hammer head to make a hammer.');
INSERT INTO trade_transformations VALUES(32,4,108,1,107,100,1.000000,20,"greet","",105,119,'',0,0,0,0,0,0,0,0,0,0,0,0,'You cast an anvil.');

INSERT INTO trade_transformations VALUES (786,6,4085,0,319,0,1,30,'insert',"",4815,0,'',0,0,0,0,0,0,0,0,0,0,0,0,'generic work');
INSERT INTO `trade_transformations` VALUES (724,6,4320,1,4085,1,1,30,'hammer',"",4811,4816,'',4018,1,40,0,50,1,0.02,0,0,0,0,0,'three rivet shield item');
